package com.fjhx.xmhjc.controller.product;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductCategoryVo;
import com.fjhx.xmhjc.entity.product.dto.ProductCategorySelectDto;
import com.fjhx.xmhjc.entity.product.dto.ProductCategoryDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.product.ProductCategoryService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 产品类目表 前端控制器
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
@RestController
@RequestMapping("/productCategory")
public class ProductCategoryController {

    @Autowired
    private ProductCategoryService productCategoryService;

    /**
     * 产品类目表列表
     */
    @PostMapping("/list")
    public List<ProductCategoryVo> list(@RequestBody ProductCategorySelectDto dto) {
        return productCategoryService.getList(dto);
    }

    /**
     * 产品类目表分页
     */
    @PostMapping("/page")
    public Page<ProductCategoryVo> page(@RequestBody ProductCategorySelectDto dto) {
        return productCategoryService.getPage(dto);
    }

    /**
     * 产品类目表明细
     */
    @PostMapping("/detail")
    public ProductCategoryVo detail(@RequestBody BaseSelectDto dto) {
        return productCategoryService.detail(dto.getId());
    }

    /**
     * 产品类目表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ProductCategoryDto productCategoryDto) {
        productCategoryService.add(productCategoryDto);
    }

    /**
     * 产品类目表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ProductCategoryDto productCategoryDto) {
        productCategoryService.edit(productCategoryDto);
    }

    /**
     * 产品类目表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        productCategoryService.delete(dto.getId());
    }

}
