package com.fjhx.xmhjc.service.product;

import com.fjhx.xmhjc.entity.product.po.ProductCategory;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductCategoryVo;
import com.fjhx.xmhjc.entity.product.dto.ProductCategorySelectDto;
import com.fjhx.xmhjc.entity.product.dto.ProductCategoryDto;

import java.util.List;

/**
 * <p>
 * 产品类目表 服务类
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
public interface ProductCategoryService extends BaseService<ProductCategory> {

    /**
     * 产品类目表列表
     */
    List<ProductCategoryVo> getList(ProductCategorySelectDto dto);

    /**
     * 产品类目表分页
     */
    Page<ProductCategoryVo> getPage(ProductCategorySelectDto dto);

    /**
     * 产品类目表明细
     */
    ProductCategoryVo detail(Long id);

    /**
     * 产品类目表新增
     */
    void add(ProductCategoryDto productCategoryDto);

    /**
     * 产品类目表编辑
     */
    void edit(ProductCategoryDto productCategoryDto);

    /**
     * 产品类目表删除
     */
    void delete(Long id);

}
