package com.fjhx.xmhjc.service.product.impl;

import com.fjhx.xmhjc.entity.product.po.ProductCategory;
import com.fjhx.xmhjc.mapper.product.ProductCategoryMapper;
import com.fjhx.xmhjc.service.product.ProductCategoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.SqlField;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductCategoryVo;
import com.fjhx.xmhjc.entity.product.dto.ProductCategorySelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.xmhjc.entity.product.dto.ProductCategoryDto;
import cn.hutool.core.bean.BeanUtil;

import java.util.List;

/**
 * <p>
 * 产品类目表 服务实现类
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
@Service
public class ProductCategoryServiceImpl extends ServiceImpl<ProductCategoryMapper, ProductCategory> implements ProductCategoryService {

    @Override
    public List<ProductCategoryVo> getList(ProductCategorySelectDto dto) {
        IWrapper<ProductCategory> wrapper = getWrapper();
        wrapper.orderByDesc("pc", ProductCategory::getId);
        List<ProductCategoryVo> list = this.baseMapper.getList(wrapper);
        return list;
    }

    @Override
    public Page<ProductCategoryVo> getPage(ProductCategorySelectDto dto) {
        IWrapper<ProductCategory> wrapper = getWrapper();
        wrapper.keyword(dto, new SqlField("pc", ProductCategory::getName));
        wrapper.orderByAsc("pc", ProductCategory::getSort);
        Page<ProductCategoryVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public ProductCategoryVo detail(Long id) {
        ProductCategory ProductCategory = this.getById(id);
        ProductCategoryVo result = BeanUtil.toBean(ProductCategory, ProductCategoryVo.class);
        return result;
    }

    @Override
    public void add(ProductCategoryDto productCategoryDto) {
        this.save(productCategoryDto);
    }

    @Override
    public void edit(ProductCategoryDto productCategoryDto) {
        this.updateById(productCategoryDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
